Skip to content
The API may change between versions while TTX-Zone is 0.x.

Save webhook

PUT
/api/v1/instance/audit/webhook
curl --request PUT \
--url https://example.com/api/v1/instance/audit/webhook \
--header 'Content-Type: application/json' \
--header 'X-CSRF-Token: <X-CSRF-Token>' \
--cookie ttx_access_token=<ttx_access_token> \
--data '{ "authorization": "example", "enabled": true, "url": "example" }'

Where the log goes: every event from now on is forwarded (the ones before can be exported). Recorded, with step-up – it sends account emails out of the deployment.

Media typeapplication/json
AuditWebhookUpdateRequest
object
authorization
Any of:
string
<= 1000 characters
enabled
Enabled
boolean
default: true
url
required
Url
string
>= 1 characters <= 2000 characters

Successful Response

Media typeapplication/json
AuditWebhookRead
object
allow_http
required
Allow Http
boolean
configured
required
Configured
boolean
enabled
Enabled
boolean
has_authorization
Has Authorization
boolean
last_error
Any of:
string
last_failure_at
Any of:
string format: date-time
last_status
Any of:
integer
last_success_at
Any of:
string format: date-time
pending
Pending
integer
0
secret
Any of:
string
url
Any of:
string

Example

{
"enabled": false,
"has_authorization": false,
"pending": 0
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}